{ gc.c }
procedure rb_memerror;
function ruby_xmalloc(size: Cardinal): Pointer;
function ruby_xcalloc(n, size: Cardinal): Pointer;
function ruby_xrealloc(ptr: Pointer; size: Cardinal): Pointer;
procedure ruby_xfree(x: Pointer);
procedure rb_global_variable(val: Pvalue);
procedure rb_gc_mark_locations(start, fin: Pvalue);
//procedure rb_mark_tbl(Ptable);
//procedure rb_mark_hash(Ptable);
procedure rb_gc_mark_maybe(obj: Pointer);
procedure rb_gc_mark(obj: Pointer);
procedure rb_gc_force_recycle(p: Tvalue);
procedure rb_gc;
procedure rb_gc_call_finalizer_at_exit;

